Bug 97392 - Pg.pm module is missing on RH9
Summary: Pg.pm module is missing on RH9
Status: CLOSED DUPLICATE of bug 81543
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-14 07:23 UTC by Andrei Gaponenko
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:56:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrei Gaponenko 2003-06-14 07:23:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The Pg.pm (not DBD::Pg) Perl module is missing on RH9.  It used to
come with the postgresql-perl rpm till RH8.  (src package:
postgresql).  There is no warning in RH9 release notes that this
module is gone and scripts using it won't work under the new system.


Version-Release number of selected component (if applicable):
postgresql-7.3.2-3

How reproducible:
Always

Steps to Reproduce:
RH8, postgresql-7.2.3-5.80.src.rpm:

rach ~$ rpm -ql postgresql-perl
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/Pg.pm
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/Pg
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/Pg/Pg.so
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/Pg/autosplit.ix
/usr/lib/perl5/site_perl/i386-linux/auto
/usr/share/man/man3/Pg.3pm.gz
/usr/share/pgsql/perl5
/usr/share/pgsql/perl5/test.pl


RH9: grep 'Pg\.pm' on output of rpm -qlp <all rpms in RH9 distro>
shows that the module is not there.



Actual Results:  Perl scrips using the Pg module are broken by RH9 install.

Additional info:

Some confusion about postgresql-perl seems to have happened. 
From postgresql change log:

- Remove obsoletes postgresql-perl line (should have been postgresql-plperl)
  as we did not have that package previously

......

- Make postgresql-pl obsolete postgresql-perl, not postgresql-plperl

Comment 1 Andrew Overholt 2003-06-16 12:15:28 UTC
Dupe.  See comments on Bug #81543.

*** This bug has been marked as a duplicate of 81543 ***

Comment 2 Red Hat Bugzilla 2006-02-21 18:56:43 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.